Skip to main content
`Ctrl`+`K`

# PetscSortIntWithIntCountArrayPair

Sorts an array of `PetscInt` in place in increasing order; changes a `PetscInt` array and a `PetscCount` array to match the sorted first array.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortIntWithIntCountArrayPair(PetscCount n, PetscInt X[], PetscInt Y[], PetscCount Z[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscInt`

- Y - second array of `PetscInt` (first array of the pair)

- Z - third array of `PetscCount` (second array of the pair)

## Note

Usually X, Y are matrix row/column indices, and Z is a permutation array and therefore Z’s type is PetscCount to allow 2B+ nonzeros even with 32-bit PetscInt.

## See Also

`PetscSortReal()`, `PetscSortIntWithPermutation()`, `PetscSortIntWithArray()`, `PetscIntSortSemiOrdered()`, `PetscSortIntWithArrayPair()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages